=== src_plugins/export_debug/Makefile ===
all:
	cd ../../src && $(MAKE) mod_export_debug

clean:
	rm *.o *.so 2>/dev/null ; true
