=== src_plugins/export_oldconn/Makefile ===
all:
	cd ../../src && $(MAKE) mod_export_oldconn

clean:
	rm *.o *.so 2>/dev/null ; true
