=== src_plugins/import_accel_net/Makefile ===
all:
	cd ../../src && $(MAKE) mod_import_accel_net

clean:
	rm *.o *.so 2>/dev/null ; true
