=== src_plugins/import_net_cmd/Makefile ===
all:
	cd ../../src && $(MAKE) mod_import_net_cmd

clean:
	rm *.o *.so 2>/dev/null ; true
