=== src_plugins/import_pads_net/Makefile ===
all:
	cd ../../src && $(MAKE) mod_import_pads_net

clean:
	rm *.o *.so 2>/dev/null ; true
