=== src_plugins/lib_hid_pcbui/Makefile ===
all:
	cd ../../src && $(MAKE) mod_lib_hid_pcbui

clean:
	rm *.o *.so 2>/dev/null ; true
