=== src_plugins/query/Makefile ===
all:
	cd ../../src && $(MAKE) mod_query
	

clean:
	rm *.o *.so 2>/dev/null ; true
