=== debian/changelog ===
pcb-rnd (3.1.4-2) unstable; urgency=medium

  * remove extraneous librnd4 runtime dependencies, closes: #1068812

 -- Bdale Garbee <bdale@gag.com>  Fri, 12 Apr 2024 12:50:16 -0600

pcb-rnd (3.1.4-1) unstable; urgency=medium

  * new upstream release
  * remove gEDA package reference in dependencies
  * add Suggests for other Ringdove applications
  * update Vcs entries for new subgroup on salsa
  * patch upstream clean target, closes: #1045355

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 Mar 2024 17:19:26 -0600

pcb-rnd (3.1.3-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 30 Nov 2023 08:39:54 -0700

pcb-rnd (3.1.2-4) unstable; urgency=medium

  * with all HID code now in the librnd package, the motif and stroke build
    deps are no longer needed here

 -- Bdale Garbee <bdale@gag.com>  Sun, 12 Nov 2023 11:05:07 -0700

pcb-rnd (3.1.2-3) unstable; urgency=medium

  * elide libepoxy-dev from build deps, only librnd needs that
  * allow either gtk 4 or lesstif to be installed HID modules

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Nov 2023 11:37:34 -0700

pcb-rnd (3.1.2-2) unstable; urgency=medium

  * switch from GTK 2 to GTK 4, closes: #967685

 -- Bdale Garbee <bdale@gag.com>  Wed, 01 Nov 2023 20:33:09 -0600

pcb-rnd (3.1.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sun, 10 Sep 2023 18:37:41 -0600
