=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else ifeq (mips64el,$(findstring mips64el,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else
	dh $@
endif

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f Makefile.conf && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--symbols \
		--prefix=/usr \
		--confdir=/etc/pcb-rnd \
		--prefix/libs/script/fungw=/dev/null \
		\
		--all=disable \
		--buildin-fp_fs \
		--buildin-draw_fab \
		--buildin-act_read \
		--buildin-drc_query \
		--buildin-mincut \
		--buildin-ch_onpoint \
		--buildin-report \
		--buildin-rubberband_orig \
		--buildin-exto_std \
		--buildin-fp_board \
		--buildin-propedit \
		--buildin-io_lihata \
		--buildin-autocrop \
		--buildin-lib_polyhelp \
		--buildin-draw_csect \
		--buildin-ddraft \
		--buildin-ch_editpoint \
		--buildin-act_draw \
		--buildin-tool_std \
		--buildin-show_netnames \
		--buildin-query \
		--buildin-lib_compat_help \
		--buildin-shape \
		--buildin-lib_formula \
		--buildin-extedit \
		--plugin-export_excellon \
		--plugin-export_fidocadj \
		--plugin-export_lpr \
		--plugin-export_oldconn \
		--plugin-export_stat \
		--plugin-io_kicad_legacy \
		--plugin-io_eagle \
		--plugin-io_tedax \
		--plugin-import_gnetlist \
		--plugin-io_kicad \
		--plugin-import_mucs \
		--plugin-renumber \
		--plugin-import_calay \
		--plugin-smartdisperse \
		--plugin-draw_fontsel \
		--plugin-polycombine \
		--plugin-export_gcode \
		--plugin-export_bom \
		--plugin-ar_cpcb \
		--plugin-lib_hid_pcbui \
		--plugin-teardrops \
		--plugin-shand_cmd \
		--plugin-io_pads \
		--plugin-import_tinycad \
		--plugin-export_openems \
		--plugin-import_orcad_net \
		--plugin-order_pcbway \
		--plugin-import_ltspice \
		--plugin-export_dxf \
		--plugin-export_ipcd356 \
		--plugin-import_ttf \
		--plugin-import_mentor_sch \
		--plugin-export_ps \
		--plugin-import_accel_net \
		--plugin-millpath \
		--plugin-djopt \
		--plugin-import_edif \
		--plugin-import_protel_net \
		--plugin-import_sch2 \
		--plugin-diag \
		--plugin-export_stl \
		--plugin-autoplace \
		--plugin-export_svg \
		--plugin-import_net_cmd \
		--plugin-fp_wget \
		--plugin-fontmode \
		--plugin-import_netlist \
		--plugin-polystitch \
		--plugin-order \
		--plugin-import_pads_net \
		--plugin-dialogs \
		--plugin-import_sch_rnd \
		--plugin-io_dsn \
		--plugin-export_xy \
		--plugin-export_png \
		--plugin-import_hpgl \
		--plugin-import_ipcd356 \
		--plugin-lib_netmap \
		--plugin-io_hyp \
		--plugin-cam \
		--plugin-puller \
		--plugin-import_fpcb_nl \
		--plugin-io_pcb \
		--plugin-distalign \
		--plugin-asm \
		--plugin-export_openscad \
		--plugin-jostle \
		--plugin-autoroute \
		--plugin-io_autotrax \
		--plugin-vendordrill \
		--plugin-export_gerber \
		--plugin-io_bxl \
		--plugin-ar_extern \
		--plugin-import_net_action \
