## pcb-rnd 3.1.5

=== debian/changelog ===
pcb-rnd (3.1.5-2) unstable; urgency=medium

  * eliminate versioned librnd4 run-time dependencies, since in the post-t64
    transition world, the only librnd4t64 in the archive is new enough,
    closes: #1076279
  * replace libraqm-dev build dep with versioned libgd-dev build dep now that
    bug 1076152 is closed.

 -- Bdale Garbee <bdale@gag.com>  Sat, 13 Jul 2024 17:02:13 -0600

pcb-rnd (3.1.5-1) unstable; urgency=medium

  * new upstream release
  * add libraqm-dev build-dep to work around broken libgd-dev

 -- Bdale Garbee <bdale@gag.com>  Thu, 11 Jul 2024 11:45:49 -0400

pcb-rnd (3.1.4-3) unstable; urgency=medium

  * use the same CFLAGS as librnd for compatibility

 -- Bdale Garbee <bdale@gag.com>  Wed, 12 Jun 2024 11:49:43 -0600
