=== src_3rd/libucdf/Makefile ===
CFLAGS = -Wall -g

tester: tester.o ucdf.o

tester.o: tester.c ucdf.h

ucdf.o: ucdf.c ucdf.h

clean:
	-rm ucdf.o tester.o tester
