=== src_3rd/libuhpgl/Makefile ===
CFLAGS = -Wall -g -ansi -pedantic

parse.o: parse.c uhpgl_math.h libuhpgl.h arc_iterate.h
