=== src_plugins/autoplace/Makefile ===
all:
	cd ../../src && $(MAKE) mod_autoplace

clean:
	rm *.o *.so 2>/dev/null ; true
