=== src_plugins/draw_pnp/Makefile ===
all:
	cd ../../src && $(MAKE) mod_draw_pnp

clean:
	rm *.o *.so 2>/dev/null ; true
