=== src_plugins/drc_query/Makefile ===
all:
	cd ../../src && $(MAKE) mod_drc_query

clean:
	rm *.o *.so 2>/dev/null ; true
