=== src_plugins/export_c_draw/Makefile ===
all:
	cd ../../src && $(MAKE) mod_export_c_draw

clean:
	rm *.o *.so 2>/dev/null ; true
