=== src_plugins/export_fidocadj/Makefile ===
all:
	cd ../../src && $(MAKE) mod_export_fidocadj

clean:
	rm *.o *.so 2>/dev/null ; true
