=== src_plugins/export_ps/Makefile ===
all:
	cd ../../src && $(MAKE) mod_export_ps

clean:
	rm *.o *.so 2>/dev/null ; true
