=== src_plugins/fp_board/Makefile ===
all:
	cd ../../src && $(MAKE) mod_fp_board

clean:
	rm *.o *.so 2>/dev/null ; true
