=== src_plugins/import_gnetlist/Makefile ===
all:
	cd ../../src && $(MAKE) mod_import_gnetlist

clean:
	rm *.o *.so 2>/dev/null ; true
