=== debian/changelog ===
pcb-rnd (3.1.6-1) unstable; urgency=medium

  * new upstream release
  * actually install the desktop file so pcb-rnd shows up in menus

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Dec 2024 01:45:52 -0700
