=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), librnd4-dev, librnd4-cloud, librnd4-lib-gui, imagemagick, libgd-dev, libxml2-dev, libgenht1-dev (>= 1.1.3), libfungw-dev
+Build-Depends: debhelper (>= 11), librnd4-dev, librnd4-cloud, librnd4-lib-gui, imagemagick, libgd-dev (>= 2.3.3-12), libxml2-dev, libgenht1-dev (>= 1.1.3), libfungw-dev, pkgconf
 Standards-Version: 4.6.0
 Homepage: http://repo.hu/projects/pcb-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/pcb-rnd.git
@@ -135,6 +135,7 @@
      * fidocad .fcd (partial export)
      * export gcode (for milling)
      * gerber for PCB fabbing
+     * hpgl
      * IPC-D-356 Netlist (for automated testing)
      * printer (using ps)
      * list of terminal connections (old, custom format)
@@ -162,7 +163,7 @@
 
 Package: pcb-rnd-export
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version}), librnd4-pixmap
+Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version}), librnd4-pixmap (>= 4.2.0)
 Description: Common export plugins.
  Export the board in vector graphics (svg, ps, eps), raster graphics
  (png, jpeg, etc.), gerber, 3d model in openscad, xy for pick and
@@ -190,8 +191,7 @@
 
 Package: pcb-rnd-import-net
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-	pcb-rnd-core (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
 Replaces: pcb-rnd (<< 2.2.0-2)
 Breaks: pcb-rnd (<< 2.2.0-2)
 Description: Netlist/schematics import plugins.
@@ -229,7 +229,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
 	pcb-rnd-core (= ${binary:Version}),
-	librnd4-lib-gui
+	librnd4-lib-gui (>= 4.2.0)
 Description: Support library for building the GUI.
  Provides pcb-rnd specific dialog boxes (e.g. fontsel) and top window
  GUI elements.
@@ -258,8 +258,8 @@
 Package: pcb-rnd-cloud
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
-	pcb-rnd-core (= ${binary:Version}),
-	librnd4-cloud,
+	librnd4-cloud (>= 4.2.0),
+	pcb-rnd-core (= ${binary:Version}),
 	pcb-rnd-export (= ${binary:Version}),
 Description: Networking plugins.
  'Cloud' footprint access plugin that integrates edakrill and
