=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+# Workaround on exotic archs, probably any 32 bit arch with 64 bit kernel
+# see bug #1019729
+CFLAGS += -D_LARGE_FILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
 
 %:
 ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
@@ -54,6 +58,7 @@
 		--buildin-shape \
 		--buildin-lib_formula \
 		--buildin-extedit \
+		--buildin-draw_pnp \
 		--plugin-export_excellon \
 		--plugin-export_fidocadj \
 		--plugin-export_lpr \
@@ -99,6 +104,7 @@
 		--plugin-export_svg \
 		--plugin-import_net_cmd \
 		--plugin-fp_wget \
+		--plugin-export_hpgl \
 		--plugin-fontmode \
 		--plugin-import_netlist \
 		--plugin-polystitch \
