=== tests/Makefile ===
--- 
+++ 
@@ -9,7 +9,9 @@
 	cd query && $(MAKE) test
 	cd menu && $(MAKE) test
 	cd cam && $(MAKE) test
+	cd cam_partial && $(MAKE) test
 	cd vendordrill && $(MAKE) test
+	cd pstk_crescent && $(MAKE) test
 	@echo " "
 	@echo "+-------------------------------------------------+"
 	@echo "+  All tests passed, pcb-rnd is safe to install.  +"
@@ -26,5 +28,7 @@
 	cd query && $(MAKE) clean
 	cd menu && $(MAKE) clean
 	cd cam && $(MAKE) clean
+	cd cam_partial && $(MAKE) clean
 	cd vendordrill && $(MAKE) clean
+	cd pstk_crescent && $(MAKE) clean
