=== src_plugins/act_draw/Makefile ===
all:
	cd ../../src && $(MAKE) mod_act_draw
	

clean:
	rm *.o *.so 2>/dev/null ; true
