=== debian/changelog ===
pcb-rnd (3.1.7b-2) unstable; urgency=medium

  * add -std=c17 and -Wno-error=implicit-function-declaration to innoculate 
    against gcc 15 changes and "the good old GNU flex bug", closes: #1097557

 -- Bdale Garbee <bdale@gag.com>  Sun, 07 Sep 2025 01:15:38 -0600

pcb-rnd (3.1.7b-1) unstable; urgency=medium

  * new upstream version, reverts poly lib default

 -- Bdale Garbee <bdale@gag.com>  Thu, 26 Jun 2025 16:01:29 -0600

pcb-rnd (3.1.7-1) unstable; urgency=medium

  * new upstream version
  * add Provides: pcb to the pcb-rnd binary package in preparation for 
    removal of the pcb package from Debian.

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 May 2025 13:18:52 -0600
