=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	pcb-rnd-doc (= ${source:Version}),
 	pcb-rnd-import-net (= ${binary:Version})
 Suggests: camv-rnd, route-rnd, sch-rnd
+Provides: pcb
 Description: Standard installation of pcb-rnd
  pcb-rnd is a highly modular PCB (Printed Circuit Board) layout tool
  with a rich set of plugins for communicating with various external
@@ -56,6 +57,8 @@
      * dsn board
      * eagle xml board version 6, 7, 8
      * eagle binary board version 3, 4, 5
+     * EasyEDA std board
+     * EasyEDA pro board
      * hyperlynx board, version 2 and above
      * kicad board, version 3, 4 and 5 (s-expr)
      * lihata pcb-rnd board (any version)
@@ -76,12 +79,15 @@
      * eagle xml footprint lib .lbr (as board)
      * eagle xml footprint lib .lbr (as footprint)
      * eagle binary footprint lib (as board)
+     * EasyEDA std footprint
+     * EasyEDA pro footprint
+     * kicad footprint module (s-expr, version 3, 4 and 4)
      * lihata pcb-rnd footprint (any version)
      * Mentor Graphics cell footprints
      * gEDA/PCB .fp footprints
      * tEDAx footprint (any version)
    - export footprint:
-     * kicad module (s-expr, according to version 3)
+     * kicad footprint module (s-expr, according to version 3)
      * kicad pcbnew-module (legacy plain text format)
      * lihata pcb-rnd footprint (any version)
      * gEDA/PCB .fp footprints
