=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 # Workaround on exotic archs, probably any 32 bit arch with 64 bit kernel
 # see bug #1019729
 CFLAGS += -D_LARGE_FILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
+
+# resolve FTBFS with gcc 15 until upstream comes up with a better solution
+CFLAGS += -std=c17 -Wno-error=implicit-function-declaration
 
 %:
 ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
@@ -59,6 +62,8 @@
 		--buildin-lib_formula \
 		--buildin-extedit \
 		--buildin-draw_pnp \
+		--plugin-rbs_routing \
+		--plugin-io_easyeda \
 		--plugin-export_excellon \
 		--plugin-export_fidocadj \
 		--plugin-export_lpr \
@@ -77,7 +82,6 @@
 		--plugin-polycombine \
 		--plugin-export_gcode \
 		--plugin-export_bom \
-		--plugin-ar_cpcb \
 		--plugin-lib_hid_pcbui \
 		--plugin-teardrops \
 		--plugin-shand_cmd \
